clang 8.0.0

Namespaces | Functions
clang::tooling::fixit Namespace Reference

## Namespaces
| internal

## Functions
template<typename T >
StringRef | getText (const T &Node, const ASTContext &Context)
template<typename T >
FixItHint | createRemoval (const T &Node)
template<typename D , typename S >
FixItHint | createReplacement (const D &Destination, const S &Source, const ASTContext &Context)
template<typename D >
FixItHint | createReplacement (const D &Destination, StringRef Source)

## Function Documentation

## ◆ createRemoval()

template<typename T >

FixItHint clang::tooling::fixit::createRemoval | ( | const T & | Node | ) |

Definition at line 56 of file FixIt.h.

References clang::FixItHint::CreateRemoval(), and clang::tooling::fixit::internal::getSourceRange().

## ◆ createReplacement() [1/2]

template<typename D , typename S >

FixItHint clang::tooling::fixit::createReplacement | ( | const D & | Destination,
|  | const S & | Source,
|  | const ASTContext & | Context
| ) |  |

Definition at line 62 of file FixIt.h.

## ◆ createReplacement() [2/2]

template<typename D >

FixItHint clang::tooling::fixit::createReplacement | ( | const D & | Destination,
|  | StringRef | Source
| ) |  |

Definition at line 70 of file FixIt.h.

References clang::FixItHint::CreateReplacement(), and clang::tooling::fixit::internal::getSourceRange().

## ◆ getText()

template<typename T >

StringRef clang::tooling::fixit::getText | ( | const T & | Node,
|  | const ASTContext & | Context
| ) |  |

Definition at line 50 of file FixIt.h.